containers:
  image_name: gitlab-registry.cern.ch/webservices/webeos/webeos-site-operator:not-overwrite-unrelated-labels
  image_pullpolicy: Always
  # note that the operator consumes secrets (UserProvidedDirectory controller reading OIDC secrets
  # created by authz-operator). In large clusters, it will need lots of memory to keep secrets in cache
  # (about 200KB of secrets per project).
  resources:
    limits:
      cpu: "2"
      memory: 2Gi
    requests:
      cpu: 100m
      memory: 150Mi
  logLevel: error # one of 'debug', 'info' or 'error'

oidcReturnPath: /oidc/callback

assignableRouterShards:
- router-shard-1
- router-shard-2
- router-shard-3

# The CI/CD tests of the webeos-site-controller are still running on OKD3.11, when we merged both
# webeos-site-operator and webeossitemgmt-operator the project started deploying resources that
# are native to OKD4 but not to OKD3.11 so we have introduced this flag so that during the CI/CD deployment
# we avoid deploying these resources.
repoTests: false

nodeSelector: {}
